%define upstream_name Net-XMPP
%define upstream_version 1.05

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8
Summary:	XMPP Perl Library
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}/
Source:         http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		fix-testsuite.diff

# (tv) this causes testsuite faillures sometimes:
#BuildRequires:	perl(Devel::LeakGuard::Object)
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl(LWP::Online)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(XML::Stream)
BuildArch:	    noarch


%description
Net::XMPP is a convenient tool to use for any perl script that would
like to utilize the XMPP Instant Messaging protocol.  While not a
client in and of itself, it provides all of the necessary back-end
functions to make a CGI client or command-line perl client feasible 
and easy to use.  Net::XMPP is a wrapper around the rest of the
official Net::XMPP::xxxxxx packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

# Cannot resolve hostnames in koji
%{?!_with_network_tests: rm t/roster.t t/gtalk.t t/memory_*.t }

%install
./Build install destdir=%{buildroot}

%files
%doc CHANGES README
%{perl_vendorlib}/Net
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.50.0-8pclos2017
- rebuild against updates

